Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

FieldDefinitionUpdateStruct.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10
14 class FieldDefinitionUpdateStruct extends ValueObject
15 {
23 public $identifier;
24
30 public $names;
31
37 public $descriptions;
38
44 public $fieldGroup;
45
51 public $position;
52
58 public $isTranslatable;
59
65 public $isRequired;
66
72 public $isInfoCollector;
73
79 public $validatorConfiguration;
80
86 public $fieldSettings;
87
93 public $defaultValue;
94
100 public $isSearchable;
101 }
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct
this class is used to update a field definition.
Definition: FieldDefinitionUpdateStruct.php:15
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$identifier
$identifier
Definition: FieldDefinitionUpdateStruct.php:23
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$fieldSettings
$fieldSettings
Definition: FieldDefinitionUpdateStruct.php:86
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$isSearchable
$isSearchable
Definition: FieldDefinitionUpdateStruct.php:100
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$defaultValue
$defaultValue
Definition: FieldDefinitionUpdateStruct.php:93
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$fieldGroup
$fieldGroup
Definition: FieldDefinitionUpdateStruct.php:44
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$isRequired
$isRequired
Definition: FieldDefinitionUpdateStruct.php:65
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$validatorConfiguration
$validatorConfiguration
Definition: FieldDefinitionUpdateStruct.php:79
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$names
$names
Definition: FieldDefinitionUpdateStruct.php:30
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$isTranslatable
$isTranslatable
Definition: FieldDefinitionUpdateStruct.php:58
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$position
$position
Definition: FieldDefinitionUpdateStruct.php:51
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$descriptions
$descriptions
Definition: FieldDefinitionUpdateStruct.php:37
eZ\Publish\API\Repository\Values\ContentType\FieldDefinitionUpdateStruct\$isInfoCollector
$isInfoCollector
Definition: FieldDefinitionUpdateStruct.php:72
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\API\Repository\Values\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.